Search results for

“Apple Maps Guides”

163,033 results found

Post

Replies

Boosts

Views

Activity

Apple Maps Can't Delete Address :-s
HiFirstly I'm not 100% sure if this is an iOS 11 issue but as I have iOS 11 installed, I can't ask the question in the normal Apple Forums.Recently I've been to London and noticed an address automatically appear below the Search Bar in Apple Maps. I've not searched for this location. All I know is that the address of this location is a shop that I've walked past on a number of occassions. I can't delete this address, if I swipe from right to left, I only have the share option and not the delete option.I've tried uninstalling Maps, switching my iPhone 7 Plus off/on and instaling again but the address remains :-(Any ideas of how to resolve this annoying issue?Thanks in advance.Barry
2
0
4.4k
Jul ’17
SwiftUI Maps on Apple Watch - User Location?
How do you get the Maps in SwiftUI to show the User Location on the Apple Watch? Map(coordinateRegion: $mapSetupRegion, interactionModes: mapInteractionModes, showsUserLocation: mapShowUserLocation, userTrackingMode: $mapTrackingMode ) These are the variables we have been using. @State private var mapTrackingMode = MapUserTrackingMode.follow private var mapShowUserLocation = true private var mapInteractionModes = MapInteractionModes.all @State private var mapSetupRegion = MKCoordinateRegion( center: CLLocationCoordinate2D( latitude : 37.3318,longitude : -122.0312), span: MKCoordinateSpan( latitudeDelta : 0.1, longitudeDelta : 0.1 ) ) Thanks.
1
0
1.6k
Feb ’21
Does Apple Map Kit support autofill when user is typing?
Does Apple Map Kit support autofill when user is typing? For example, I start to type a city name and a tableview below shows possible options that the user can tap on to fill in the result without typing in full. Or they can type in Current Location and it autofills. I know Google Maps API supports this, but I'm having trouble finding if Apple Maps does and I think I would prefer using Apple Maps on this iOS project to keep things simpler.If so, is there a Swift example of how to implement? I found the following, but it's in Objective C and I'm not sure this is covers what auto complete as described above.https://developer.apple.com/library/ios/samplecode/MapSearch/Introduction/Intro.htmlThanks!
1
0
1.6k
Apr ’16
Reply to Forget network as a standard user
An alternative approach would be using privilege management as part of Platform SSO. This would allow you to map specific groups in your IdP to local authorization rights, like printer management, changing network settings, or modifying time settings. You can find more information in the Apple Platform Deployment guide: Privilege management
Topic: General SubTopic:
Business & Education Q&A
Jun ’26
Colorize streets im apple maps
I intend to coloring streets on the map that I will present in my app . However already I tried to make an array with multiple coordinates and send paint color and really have success, however is all the s or else the coordinates do not add up . What better way to color the streets getting painted streets as when picked directions. I´m used Swift language.
0
0
257
Mar ’16
Apple Pay on the Web Debugging Guide
This content has moved to TN3103 https://developer.apple.com/documentation/dts-technotes/tn3103-apple-pay-on-the-web-troubleshooting-guide This document is intended to be used as a general guide to debugging common problems with Apple Pay on the Web. Note that this document does not cover 3rd party tooling or integrations. If you are experiencing issues with 3rd party code, libraries, or server side configurations, it’s best that you talk to these vendors directly. This document assumes that you are building Apple Pay on the Web from your own website and then integrating with a 3rd party Payment Service Provider. Creating your Merchant Assets This section is primarily focused on Merchants who have their own Developer Account. If you are working with a Payment Service Provider who can give you access to Apple Pay without needing your own Apple Developer account, this process will be different and you should contact the the Payment Service Provider
0
0
8.3k
Sep ’21
Apple Maps Server API Unauthorized Error
I'm trying to use the new Apple Maps Server API. As far as I can tell I have set up the token correctly, but my web request is still returning 401 unauthorized. The following is my code in TypeScript: import * as jwt from 'jsonwebtoken'; const JWT_SECRET = -----BEGIN PRIVATE KEY-----n + MIGTAgEAMBMGBy..............................n + ..............................................................n + ..............................................................n + -----END PRIVATE KEY-----; const header = { alg: ES256, kid: 26DYPK65ZK, typ: jwt } // Example payload data const payload = { iss: 7F3PBYWYMS, iat: Date.now(), exp: Date.now() + (1000 * 30 * 60), }; export async function getRestaurants() { let token = jwt.sign(payload, JWT_SECRET, { algorithm: 'ES256', header: header}); const response = await fetch('https://maps-api.apple.com/v1/token (https://maps-api.apple.com/v1/token)', { method: 'GET', headers: { 'Authorization': Bearer + token }, }); console.log(response); }
7
0
996
Oct ’24
Apple Maps Server API invalid JWT token
Hello, I'm truing to use Maps Server API. I have: Created Maps Identifier and a Private Key Used token maker to create a JWT token. I also tried creating JWT token manually. After generating a JWT token I used Maps Server API Playground with my JWT and I can successfully use Maps Server API. The problem is that when I try to use my JWT in either JS code, Postman or curl request, I get Invalid Token error. Which is very strange, because I doubled checked everything dozen of times and JWT works in Apple's playground tool. Here's a request example: curl -si -HAuthorization: Bearer https://maps-api.apple.com/v1/geocode?q=Apple%20Park%2C%20Cupertino%2C%20CA My token is valid for 1 year When generating JWT token I left Domain restriction field empty.
1
0
1.4k
Jun ’24
Links to Apple Maps from a Website – clear previous link
I have the following problem: one of my clients has 3 offices (Berlin, Basel and Zurich). All three locations are registered in Apple Maps.From the contact page of his website I want to link to theses locations on Apple maps. This works fine when I open the page on my iPhone (iOS 10) and tab on one address. Apple Maps opens and displays the location, let's say Basel. I close the Apple Maps app after that.But when I tab the next location, let's say Berlin Apple Maps opens the Basel address again, not the Berlin location.Here is how I link it:href=http://maps.apple.com/?q=stefan+bercx+basel href=http://maps.apple.com/?q=bercx+finance+berlin href=http://maps.apple.com/?q=bercx+finance+zürichHere is the web-page, CMS is WordPress:http://bercx.com/de >> under the Kontakt tab.Any idea how I can clear the search after the first link etc.?Thank you! Arne
0
0
639
Jan ’17
Apple Maps Can't Delete Address :-s
HiFirstly I'm not 100% sure if this is an iOS 11 issue but as I have iOS 11 installed, I can't ask the question in the normal Apple Forums.Recently I've been to London and noticed an address automatically appear below the Search Bar in Apple Maps. I've not searched for this location. All I know is that the address of this location is a shop that I've walked past on a number of occassions. I can't delete this address, if I swipe from right to left, I only have the share option and not the delete option.I've tried uninstalling Maps, switching my iPhone 7 Plus off/on and instaling again but the address remains :-(Any ideas of how to resolve this annoying issue?Thanks in advance.Barry
Replies
2
Boosts
0
Views
4.4k
Activity
Jul ’17
SwiftUI Maps on Apple Watch - User Location?
How do you get the Maps in SwiftUI to show the User Location on the Apple Watch? Map(coordinateRegion: $mapSetupRegion, interactionModes: mapInteractionModes, showsUserLocation: mapShowUserLocation, userTrackingMode: $mapTrackingMode ) These are the variables we have been using. @State private var mapTrackingMode = MapUserTrackingMode.follow private var mapShowUserLocation = true private var mapInteractionModes = MapInteractionModes.all @State private var mapSetupRegion = MKCoordinateRegion( center: CLLocationCoordinate2D( latitude : 37.3318,longitude : -122.0312), span: MKCoordinateSpan( latitudeDelta : 0.1, longitudeDelta : 0.1 ) ) Thanks.
Replies
1
Boosts
0
Views
1.6k
Activity
Feb ’21
Does Apple Map Kit support autofill when user is typing?
Does Apple Map Kit support autofill when user is typing? For example, I start to type a city name and a tableview below shows possible options that the user can tap on to fill in the result without typing in full. Or they can type in Current Location and it autofills. I know Google Maps API supports this, but I'm having trouble finding if Apple Maps does and I think I would prefer using Apple Maps on this iOS project to keep things simpler.If so, is there a Swift example of how to implement? I found the following, but it's in Objective C and I'm not sure this is covers what auto complete as described above.https://developer.apple.com/library/ios/samplecode/MapSearch/Introduction/Intro.htmlThanks!
Replies
1
Boosts
0
Views
1.6k
Activity
Apr ’16
Reply to Forget network as a standard user
An alternative approach would be using privilege management as part of Platform SSO. This would allow you to map specific groups in your IdP to local authorization rights, like printer management, changing network settings, or modifying time settings. You can find more information in the Apple Platform Deployment guide: Privilege management
Topic: General SubTopic:
Business & Education Q&A
Replies
Boosts
Views
Activity
Jun ’26
Can i update information of business created at apple maps by api ?
Hello, can i update information of business created at apple maps by api ?
Replies
1
Boosts
0
Views
749
Activity
Oct ’20
When does App Clip experience appear on Apple Maps?
I have generated App Clip experiences for multiple locations on Apple Maps. How long will it take until the experience is visible and functional for those locations? Also, maybe the experience will not be visible until the creator/owner of the location approves it? Couldn't find this information in the documentation. Thank you.
Replies
3
Boosts
0
Views
1.1k
Activity
Aug ’22
Is there a guide for x-apple extensions for icalendars?
Currently i'm working on a project for intergrating schedules in the apple calendar. I wanted to add some icalendar apple extensions, such as the X-APPLE-TRAVEL-DURATION. Does someone know where i can find the documentation for these apple extensions?
Replies
1
Boosts
0
Views
581
Activity
Jun ’15
Colorize streets im apple maps
I intend to coloring streets on the map that I will present in my app . However already I tried to make an array with multiple coordinates and send paint color and really have success, however is all the s or else the coordinates do not add up . What better way to color the streets getting painted streets as when picked directions. I´m used Swift language.
Replies
0
Boosts
0
Views
257
Activity
Mar ’16
Apple Pay on the Web Debugging Guide
This content has moved to TN3103 https://developer.apple.com/documentation/dts-technotes/tn3103-apple-pay-on-the-web-troubleshooting-guide This document is intended to be used as a general guide to debugging common problems with Apple Pay on the Web. Note that this document does not cover 3rd party tooling or integrations. If you are experiencing issues with 3rd party code, libraries, or server side configurations, it’s best that you talk to these vendors directly. This document assumes that you are building Apple Pay on the Web from your own website and then integrating with a 3rd party Payment Service Provider. Creating your Merchant Assets This section is primarily focused on Merchants who have their own Developer Account. If you are working with a Payment Service Provider who can give you access to Apple Pay without needing your own Apple Developer account, this process will be different and you should contact the the Payment Service Provider
Replies
0
Boosts
0
Views
8.3k
Activity
Sep ’21
License costs for Apple Maps when used to internally
HiWe're developing an app for a client of ours, one part of which uses Apple Maps. The app will be available from our client's private app store for their employees only (i.e. not available to the public). My question is are there any license costs involved?Many thanks, Dom
Replies
7
Boosts
0
Views
3.3k
Activity
Apr ’16
Apple Maps Server API Unauthorized Error
I'm trying to use the new Apple Maps Server API. As far as I can tell I have set up the token correctly, but my web request is still returning 401 unauthorized. The following is my code in TypeScript: import * as jwt from 'jsonwebtoken'; const JWT_SECRET = -----BEGIN PRIVATE KEY-----n + MIGTAgEAMBMGBy..............................n + ..............................................................n + ..............................................................n + -----END PRIVATE KEY-----; const header = { alg: ES256, kid: 26DYPK65ZK, typ: jwt } // Example payload data const payload = { iss: 7F3PBYWYMS, iat: Date.now(), exp: Date.now() + (1000 * 30 * 60), }; export async function getRestaurants() { let token = jwt.sign(payload, JWT_SECRET, { algorithm: 'ES256', header: header}); const response = await fetch('https://maps-api.apple.com/v1/token (https://maps-api.apple.com/v1/token)', { method: 'GET', headers: { 'Authorization': Bearer + token }, }); console.log(response); }
Replies
7
Boosts
0
Views
996
Activity
Oct ’24
Apple guide implementation of a view model
Is there any documentation or ressources of how Apple expects a view model implementation ?
Replies
0
Boosts
0
Views
323
Activity
Jul ’19
Why doesn't apple maps show the speed limit?
Why doesn't Apple maps use GPS and give users the posted speed limit? As a delivery driver that gets monitored on my speed it's very difficult to search for the speed limit signs and monitor traffic, and check for road signs to turn on all at the same time.
Replies
1
Boosts
0
Views
1.8k
Activity
Aug ’17
Apple Maps Server API invalid JWT token
Hello, I'm truing to use Maps Server API. I have: Created Maps Identifier and a Private Key Used token maker to create a JWT token. I also tried creating JWT token manually. After generating a JWT token I used Maps Server API Playground with my JWT and I can successfully use Maps Server API. The problem is that when I try to use my JWT in either JS code, Postman or curl request, I get Invalid Token error. Which is very strange, because I doubled checked everything dozen of times and JWT works in Apple's playground tool. Here's a request example: curl -si -HAuthorization: Bearer https://maps-api.apple.com/v1/geocode?q=Apple%20Park%2C%20Cupertino%2C%20CA My token is valid for 1 year When generating JWT token I left Domain restriction field empty.
Replies
1
Boosts
0
Views
1.4k
Activity
Jun ’24
Links to Apple Maps from a Website – clear previous link
I have the following problem: one of my clients has 3 offices (Berlin, Basel and Zurich). All three locations are registered in Apple Maps.From the contact page of his website I want to link to theses locations on Apple maps. This works fine when I open the page on my iPhone (iOS 10) and tab on one address. Apple Maps opens and displays the location, let's say Basel. I close the Apple Maps app after that.But when I tab the next location, let's say Berlin Apple Maps opens the Basel address again, not the Berlin location.Here is how I link it:href=http://maps.apple.com/?q=stefan+bercx+basel href=http://maps.apple.com/?q=bercx+finance+berlin href=http://maps.apple.com/?q=bercx+finance+zürichHere is the web-page, CMS is WordPress:http://bercx.com/de >> under the Kontakt tab.Any idea how I can clear the search after the first link etc.?Thank you! Arne
Replies
0
Boosts
0
Views
639
Activity
Jan ’17